Skip to main content

/cosmos/gov/v1/proposals/{proposal_id}/deposits/{depositor}

GET

Deposit queries single deposit information based on proposalID, depositAddr.
Path Parameters
proposal_idstringrequired
proposal_id is the unique id of a proposal.
depositorstringrequired
depositor defines the deposit addresses from the proposals.
Responses
Deposit defines an amount deposited by an account address to an activeproposal.
proposal_idstring
proposal_id is the unique id of a proposal.
depositorstring
depositor defines the deposit addresses from the proposals.
amount to be deposited by depositor.
denomstring
amountstring
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "An unexpected error response."
}
cURL
curl -X GET 'https://rest-initia-mainnet.nodit.io/cosmos/gov/v1/proposals/{proposal_id}/deposits/{depositor}' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo'